# Lab 1 - Software Peformance 2023

This is Lab 1 of the **Software Performance** course at USI.

Go to [this Lab on iCorsi](https://www.icorsi.ch/course/view.php?id=16963).


## Submission Info

Property     | Value
------------ | -------------
First Name   | Claudio
Last Name    | Maggioni

## Submission Checklist

Please complete this checklist (turn [ ] into [X]) before you submit:

- [x] I completed the above Submission Info
- [x] I solved the Java part:
  - [x] I implemented the Java code
  - [x] I completed java/compile.sh
  - [x] I completed java/run.sh
  - [x] I completed java/disassemble.sh
- [x] I solved the C part:
  - [x] I implemented the C code
  - [x] I completed c/compile.sh
  - [x] I completed c/run.sh
  - [x] I completed c/disassemble.sh
- [x] I wrote the source code myself and did not look at the source code of my classmates
- [x] I ran test/test.sh and verified that it produces the expected output
- [x] I verified that the disassembled instructions appear (not just the function names)
- [x] I committed my changes (at least one commit, but possibly many)
- [x] I pushed my commits to GitHub
